PUT enrollments Activityid Memberid

PUT/enrollments/{activityId}/{memberId}
AuthorizationBearer <token>

Paste your JWT token here

In: header

Path Parameters

activityIdinteger

The unique identifier of the activity for which to update enrollment.

Formatint32
memberIdstring

The unique identifier of the member for whom to update enrollment.

Formatuuid

The data transfer object containing the updated enrollment data.

activityId?integer

Reference to the unique identifier of the activity which is enrolled for.

Formatint32
memberId?string

The ID of the user, as determined by the used OAuth application, which enrolls for the activity.

Formatuuid
specificationAnswers?|null

The answers for the specification questions associated with this enrollment.

Response Body

application/json

application/json

application/json

curl -X PUT "https://loading/enrollments/0/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "message": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}